# Generated by Django 2.1.2 on 2018-10-14 01:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('risks_types', '0002_auto_20181013_1630'),
    ]

    operations = [
        migrations.CreateModel(
            name='RiskField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('risk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='risk_integer', to='risks_types.Risk')),
                ('risk_type_field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='risk_fields', to='risks_types.RiskTypeField')),
            ],
        ),
        migrations.RemoveField(
            model_name='riskbooleanfield',
            name='risk',
        ),
        migrations.RemoveField(
            model_name='riskbooleanfield',
            name='risk_type_field',
        ),
        migrations.RemoveField(
            model_name='riskdatefield',
            name='risk',
        ),
        migrations.RemoveField(
            model_name='riskdatefield',
            name='risk_type_field',
        ),
        migrations.RemoveField(
            model_name='riskenumfield',
            name='risk',
        ),
        migrations.RemoveField(
            model_name='riskenumfield',
            name='selected_value',
        ),
        migrations.RemoveField(
            model_name='riskintegerfield',
            name='risk',
        ),
        migrations.RemoveField(
            model_name='riskintegerfield',
            name='risk_type_field',
        ),
        migrations.RemoveField(
            model_name='risktextfield',
            name='risk',
        ),
        migrations.RemoveField(
            model_name='risktextfield',
            name='risk_type_field',
        ),
        migrations.DeleteModel(
            name='RiskBooleanField',
        ),
        migrations.DeleteModel(
            name='RiskDateField',
        ),
        migrations.DeleteModel(
            name='RiskEnumField',
        ),
        migrations.DeleteModel(
            name='RiskIntegerField',
        ),
        migrations.DeleteModel(
            name='RiskTextField',
        ),
    ]
